ChartDirector Ver 5.0 (PHP Edition)

XYChart.addAreaLayer2

Usage

addAreaLayer2([ dataCombineMethod [, depth ]])

Description

Adds an empty area chart layer to the XYChart.
This method is typically used to add multiple data sets to a single bar layer. First an empty area chart layer is created, then the data sets can be added using Layer.addDataSet.
The dataCombineMethod parameter specifies how to combine the data sets together in the area layer. The followings methods are supported:

Constant | Value | Description
--- | --- | ---
Stack | 1 | The data sets are combined by stacking up the areas.
Percentage | 4 | The data sets are combined similar to stacked area, except that the data are scaled so that the area always stacked up to 100. An area strip within the stacked area therefore represents the percentage of the data item relative to sum of all the data items in the stacked area.

Arguments

Argument | Default | Description
--- | --- | ---
dataCombineMethod | Stack | The method to combine the data sets together in the area layer.
depth | 0 | The 3D depth of the area layer.

Return Value

An AreaLayer object representing the area layer created.

© 2009 Advanced Software Engineering Limited. All rights reserved.